Skip to content
Developer

Media Groups

Media5 EndpointsMedia / Media Groups

Returns a list of media groups

GET/api/media/mediagroup

Query parameters

namestringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
tokenstringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
publicTitlestringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
groupTypestringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
slugIdentifierstringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
createdstringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
updatedstringRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
orderintegerRequires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
itemOfTheDaybooleanThis property is used to mark an entity as the item of the day. | Requires access right: PUBLIC, LOGGED_IN, LOGGED_IN_EXPLICIT, SCOPE
idinteger
archivedboolean
addonData_shopify_product_idstring
addonData_vimeo_idstring
searchStringstringtext to search for in the list
orderFieldNamestringname of the order field
orderFieldSortstringsorting modeAllowed: DESCASC
pageintegerpage of the list
pageSizeintegernumber of entries for each page
withMaxPageNumberstringreturns the number of pages available as a header if this is set

Responses

200Returns a list of media groupsarray<MediaGroup>

Show fields (29)
  • idinteger

    Primary key of the media group. Internal ID.

  • group_typestring

    Type of the group, for example podcast or album.

  • view_modestring

    Display mode of the group, for example list or grid.

  • tokenstring

    Public token of the group. Used instead of the ID.

  • public_titlestring

    Title shown to the public.

  • public_linkstring

    Public link to the group.

  • public_link_rssstring

    Link to the RSS feed of the group.

  • public_copyrightstring

    Copyright text shown with the group.

  • public_language_codestring

    Language of the group, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_owner_namestring

    Owner name in the podcast feed.

  • public_owner_mailstring

    Owner e-mail address in the podcast feed.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the cover image.

  • public_keywordsstring

    Keywords of the group.

  • public_categorystring

    Category of the group shown to the public.

  • public_itunes_typestring

    Type in the iTunes feed, for example episodic or serial.

  • public_guidstring

    Global unique ID of the group, used in feeds.

  • auto_reload_timeinteger

    Time in seconds after which the group is reloaded automatically.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • unified_cat_idsobject

    IDs of the unified categories.

  • unified_cat_namesobject

    Names of the unified categories.

  • slug_identifierstring

    Slug used in URLs of the entity.

  • orderinteger

    Position of the entity in the order.

  • item_of_the_dayboolean

    This property is used to mark an entity as the item of the day.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediagroup \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
[
  {
    "id": 42,
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_owner_name": "Beispiel",
    "public_owner_mail": "lena.hartmann@example.org",
    "group_type": "string",
    "view_mode": "string",
    "token": "string",
    "public_link": "string",
    "public_link_rss": "string"
  }
]

Add a new MediaGroup

POST/api/media/mediagroup

Request body application/json

  • dataMediaGroup2
    Show fields (27)
    • group_typestring

      Type of the group, for example podcast or album.

    • view_modestring

      Display mode of the group, for example list or grid.

    • archivedboolean

      The group is archived.

    • namestring

      Internal name of the group.

    • descriptionstring

      internal description

    • public_titlestring

      Title shown to the public.

    • public_linkstring

      Public link to the group.

    • public_link_rssstring

      Link to the RSS feed of the group.

    • public_copyrightstring

      Copyright text shown with the group.

    • public_language_codestring

      Language of the group, for example de.

    • public_subtitlestring

      Subtitle shown to the public.

    • public_authorstring

      Author shown to the public.

    • public_summarystring

      Short summary shown to the public.

    • public_descriptionstring

      Description shown to the public.

    • public_owner_namestring

      Owner name in the podcast feed.

    • public_owner_mailstring

      Owner e-mail address in the podcast feed.

    • public_explicitboolean

      The content is marked as explicit.

    • public_thumbnailstring

      URL of the cover image.

    • public_keywordsstring

      Keywords of the group.

    • public_categorystring

      Category of the group shown to the public.

    • public_itunes_typestring

      Type in the iTunes feed, for example episodic or serial.

    • public_guidstring

      Global unique ID of the group, used in feeds.

    • auto_reload_timeinteger

      Time in seconds after which the group is reloaded automatically.

    • ucatsarray<UnifiedCategory11>

      Unified categories of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • orderinteger

      Position of the entity in the order.

    • item_of_the_dayboolean

      This property is used to mark an entity as the item of the day.

Responses

200Add a new MediaGroupMediaGroup3

Show fields (33)
  • idinteger

    Primary key of the media group. Internal ID.

  • group_typestring

    Type of the group, for example podcast or album.

  • view_modestring

    Display mode of the group, for example list or grid.

  • tokenstring

    Public token of the group. Used instead of the ID.

  • archivedboolean

    The group is archived.

  • namestring

    Internal name of the group.

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_linkstring

    Public link to the group.

  • public_link_rssstring

    Link to the RSS feed of the group.

  • public_copyrightstring

    Copyright text shown with the group.

  • public_language_codestring

    Language of the group, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_owner_namestring

    Owner name in the podcast feed.

  • public_owner_mailstring

    Owner e-mail address in the podcast feed.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the cover image.

  • public_keywordsstring

    Keywords of the group.

  • public_categorystring

    Category of the group shown to the public.

  • public_itunes_typestring

    Type in the iTunes feed, for example episodic or serial.

  • public_guidstring

    Global unique ID of the group, used in feeds.

  • auto_reload_timeinteger

    Time in seconds after which the group is reloaded automatically.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage3>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser46

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • ucatsarray<UnifiedCategory22>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory22>

      Child categories.

    • parentUnifiedCategory22

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • slug_identifierstring

    Slug used in URLs of the entity.

  • orderinteger

    Position of the entity in the order.

  • item_of_the_dayboolean

    This property is used to mark an entity as the item of the day.

Request
curl --request POST \
  --url https://your-instance.iw-erp.de/api/media/mediagroup \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_owner_name": "Beispiel",
    "public_owner_mail": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_owner_name": "Beispiel",
  "public_owner_mail": "lena.hartmann@example.org",
  "group_type": "string",
  "view_mode": "string",
  "token": "string"
}

Returns a single media group with the given id or token

GET/api/media/mediagroup/{identifier}

Path parameters

identifierrequiredstring

Responses

200Returns a single media group with the given id or tokenMediaGroup3

Show fields (33)
  • idinteger

    Primary key of the media group. Internal ID.

  • group_typestring

    Type of the group, for example podcast or album.

  • view_modestring

    Display mode of the group, for example list or grid.

  • tokenstring

    Public token of the group. Used instead of the ID.

  • archivedboolean

    The group is archived.

  • namestring

    Internal name of the group.

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_linkstring

    Public link to the group.

  • public_link_rssstring

    Link to the RSS feed of the group.

  • public_copyrightstring

    Copyright text shown with the group.

  • public_language_codestring

    Language of the group, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_owner_namestring

    Owner name in the podcast feed.

  • public_owner_mailstring

    Owner e-mail address in the podcast feed.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the cover image.

  • public_keywordsstring

    Keywords of the group.

  • public_categorystring

    Category of the group shown to the public.

  • public_itunes_typestring

    Type in the iTunes feed, for example episodic or serial.

  • public_guidstring

    Global unique ID of the group, used in feeds.

  • auto_reload_timeinteger

    Time in seconds after which the group is reloaded automatically.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage3>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser46

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • ucatsarray<UnifiedCategory22>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory22>

      Child categories.

    • parentUnifiedCategory22

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • slug_identifierstring

    Slug used in URLs of the entity.

  • orderinteger

    Position of the entity in the order.

  • item_of_the_dayboolean

    This property is used to mark an entity as the item of the day.

Request
curl --request GET \
  --url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
  --header 'x-iw-jwt-token: <TOKEN>'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_owner_name": "Beispiel",
  "public_owner_mail": "lena.hartmann@example.org",
  "group_type": "string",
  "view_mode": "string",
  "token": "string"
}

Update a MediaGroup

PUT/api/media/mediagroup/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaGroup2
    Show fields (27)
    • group_typestring

      Type of the group, for example podcast or album.

    • view_modestring

      Display mode of the group, for example list or grid.

    • archivedboolean

      The group is archived.

    • namestring

      Internal name of the group.

    • descriptionstring

      internal description

    • public_titlestring

      Title shown to the public.

    • public_linkstring

      Public link to the group.

    • public_link_rssstring

      Link to the RSS feed of the group.

    • public_copyrightstring

      Copyright text shown with the group.

    • public_language_codestring

      Language of the group, for example de.

    • public_subtitlestring

      Subtitle shown to the public.

    • public_authorstring

      Author shown to the public.

    • public_summarystring

      Short summary shown to the public.

    • public_descriptionstring

      Description shown to the public.

    • public_owner_namestring

      Owner name in the podcast feed.

    • public_owner_mailstring

      Owner e-mail address in the podcast feed.

    • public_explicitboolean

      The content is marked as explicit.

    • public_thumbnailstring

      URL of the cover image.

    • public_keywordsstring

      Keywords of the group.

    • public_categorystring

      Category of the group shown to the public.

    • public_itunes_typestring

      Type in the iTunes feed, for example episodic or serial.

    • public_guidstring

      Global unique ID of the group, used in feeds.

    • auto_reload_timeinteger

      Time in seconds after which the group is reloaded automatically.

    • ucatsarray<UnifiedCategory11>

      Unified categories of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • orderinteger

      Position of the entity in the order.

    • item_of_the_dayboolean

      This property is used to mark an entity as the item of the day.

Responses

200Update a MediaGroupMediaGroup3

Show fields (33)
  • idinteger

    Primary key of the media group. Internal ID.

  • group_typestring

    Type of the group, for example podcast or album.

  • view_modestring

    Display mode of the group, for example list or grid.

  • tokenstring

    Public token of the group. Used instead of the ID.

  • archivedboolean

    The group is archived.

  • namestring

    Internal name of the group.

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_linkstring

    Public link to the group.

  • public_link_rssstring

    Link to the RSS feed of the group.

  • public_copyrightstring

    Copyright text shown with the group.

  • public_language_codestring

    Language of the group, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_owner_namestring

    Owner name in the podcast feed.

  • public_owner_mailstring

    Owner e-mail address in the podcast feed.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the cover image.

  • public_keywordsstring

    Keywords of the group.

  • public_categorystring

    Category of the group shown to the public.

  • public_itunes_typestring

    Type in the iTunes feed, for example episodic or serial.

  • public_guidstring

    Global unique ID of the group, used in feeds.

  • auto_reload_timeinteger

    Time in seconds after which the group is reloaded automatically.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage3>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser46

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • ucatsarray<UnifiedCategory22>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory22>

      Child categories.

    • parentUnifiedCategory22

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • slug_identifierstring

    Slug used in URLs of the entity.

  • orderinteger

    Position of the entity in the order.

  • item_of_the_dayboolean

    This property is used to mark an entity as the item of the day.

Request
curl --request PUT \
  --url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_owner_name": "Beispiel",
    "public_owner_mail": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_owner_name": "Beispiel",
  "public_owner_mail": "lena.hartmann@example.org",
  "group_type": "string",
  "view_mode": "string",
  "token": "string"
}

Update a MediaGroup

PATCH/api/media/mediagroup/{identifier}

Path parameters

identifierrequiredstring

Request body application/json

  • dataMediaGroup2
    Show fields (27)
    • group_typestring

      Type of the group, for example podcast or album.

    • view_modestring

      Display mode of the group, for example list or grid.

    • archivedboolean

      The group is archived.

    • namestring

      Internal name of the group.

    • descriptionstring

      internal description

    • public_titlestring

      Title shown to the public.

    • public_linkstring

      Public link to the group.

    • public_link_rssstring

      Link to the RSS feed of the group.

    • public_copyrightstring

      Copyright text shown with the group.

    • public_language_codestring

      Language of the group, for example de.

    • public_subtitlestring

      Subtitle shown to the public.

    • public_authorstring

      Author shown to the public.

    • public_summarystring

      Short summary shown to the public.

    • public_descriptionstring

      Description shown to the public.

    • public_owner_namestring

      Owner name in the podcast feed.

    • public_owner_mailstring

      Owner e-mail address in the podcast feed.

    • public_explicitboolean

      The content is marked as explicit.

    • public_thumbnailstring

      URL of the cover image.

    • public_keywordsstring

      Keywords of the group.

    • public_categorystring

      Category of the group shown to the public.

    • public_itunes_typestring

      Type in the iTunes feed, for example episodic or serial.

    • public_guidstring

      Global unique ID of the group, used in feeds.

    • auto_reload_timeinteger

      Time in seconds after which the group is reloaded automatically.

    • ucatsarray<UnifiedCategory11>

      Unified categories of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • orderinteger

      Position of the entity in the order.

    • item_of_the_dayboolean

      This property is used to mark an entity as the item of the day.

Responses

200Update a MediaGroupMediaGroup3

Show fields (33)
  • idinteger

    Primary key of the media group. Internal ID.

  • group_typestring

    Type of the group, for example podcast or album.

  • view_modestring

    Display mode of the group, for example list or grid.

  • tokenstring

    Public token of the group. Used instead of the ID.

  • archivedboolean

    The group is archived.

  • namestring

    Internal name of the group.

  • descriptionstring

    internal description

  • public_titlestring

    Title shown to the public.

  • public_linkstring

    Public link to the group.

  • public_link_rssstring

    Link to the RSS feed of the group.

  • public_copyrightstring

    Copyright text shown with the group.

  • public_language_codestring

    Language of the group, for example de.

  • public_subtitlestring

    Subtitle shown to the public.

  • public_authorstring

    Author shown to the public.

  • public_summarystring

    Short summary shown to the public.

  • public_descriptionstring

    Description shown to the public.

  • public_owner_namestring

    Owner name in the podcast feed.

  • public_owner_mailstring

    Owner e-mail address in the podcast feed.

  • public_explicitboolean

    The content is marked as explicit.

  • public_thumbnailstring

    URL of the cover image.

  • public_keywordsstring

    Keywords of the group.

  • public_categorystring

    Category of the group shown to the public.

  • public_itunes_typestring

    Type in the iTunes feed, for example episodic or serial.

  • public_guidstring

    Global unique ID of the group, used in feeds.

  • auto_reload_timeinteger

    Time in seconds after which the group is reloaded automatically.

  • createdstring (date-time)

    Point in time the entity was created.

  • updatedstring (date-time)

    Point in time the entity was last updated.

  • visibility_typestring

    Type of visibility of the entity.

  • arslistarray<AccessRightStorage3>

    Access rights list that controls the visibility.

    Show fields (12)
    • idinteger

      Primary key of the access right entry. Internal ID.

    • userUser46

      User who gets the access right. Only set for user-specific rights.

    • access_tagAccessTag

      Access tag the right applies to. Only set for rights on a tag.

    • create_mainboolean

      Create permission for main records of the access tag.

    • edit_mainboolean

      Edit permission for main records of the access tag.

    • read_mainboolean

      Read permission for main records of the access tag.

    • create_childboolean

      Create permission for child records (for example items inside a main record).

    • edit_childboolean

      Edit permission for child records (for example items inside a main record).

    • read_childboolean

      Read permission for child records (for example items inside a main record).

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

  • ucatsarray<UnifiedCategory22>

    Unified categories of the entity.

    Show fields (32)
    • idinteger

      Primary key of the unified category. Internal ID.

    • category_typestring

      Type of the category, for example course or membership.

    • childrenarray<UnifiedCategory22>

      Child categories.

    • parentUnifiedCategory22

      Parent category.

    • view_orderinteger

      Sort order of the category in lists.

    • is_publicboolean

      The category is shown publicly.

    • createdstring (date-time)

      Point in time the entity was created.

    • updatedstring (date-time)

      Point in time the entity was last updated.

    • namestring

      Name of the entity.

    • addressstring

      Address as text.

    • address_streetstring

      Street of the address.

    • address_house_numberstring

      House number of the address.

    • address_street_levelstring

      Street and house number of the address.

    • address_costring

      Care-of line of the address.

    • address_citystring

      City of the address.

    • address_zipstring

      Postal code of the address.

    • address_admin_level1string

      First administrative level of the address, e.g. the federal state.

    • address_countrystring

      Country code of the address.

    • address_full_countrystring

      Full name of the country of the address.

    • address_geo_latstring

      Latitude of the address.

    • address_geo_lngstring

      Longitude of the address.

    • address_external_provider_idstring

      field to store the external provider id of the address. e.g. Google Maps PlaceID like google:ChIJVcKw5r90sEcRhdjNq6NItqE

    • main_phonestring

      Main phone number.

    • main_faxstring

      Main fax number.

    • main_emailstring

      Main e-mail address.

    • websitestring

      Website address.

    • deletedboolean

      This property is used to mark an entity as deleted / archived

    • search_stringstring

      Text that the entity can be searched by.

    • short_identifierstring

      Short identifier of the entity.

    • slug_identifierstring

      Slug used in URLs of the entity.

    • image_urlstring

      URL of the image of the entity.

    • is_ui_filterboolean

      This property is used to mark an entity as a filter for the frontend

  • slug_identifierstring

    Slug used in URLs of the entity.

  • orderinteger

    Position of the entity in the order.

  • item_of_the_dayboolean

    This property is used to mark an entity as the item of the day.

Request
curl --request PATCH \
  --url https://your-instance.iw-erp.de/api/media/mediagroup/42 \
  --header 'content-type: application/json' \
  --header 'x-iw-jwt-token: <TOKEN>' \
  --data '
{
  "data": {
    "name": "Beispiel",
    "description": "Text",
    "public_title": "Beispiel",
    "public_description": "Text",
    "public_owner_name": "Beispiel",
    "public_owner_mail": "lena.hartmann@example.org"
  }
}
'
Response 200 application/json
{
  "id": 42,
  "name": "Beispiel",
  "description": "Text",
  "public_title": "Beispiel",
  "public_description": "Text",
  "public_owner_name": "Beispiel",
  "public_owner_mail": "lena.hartmann@example.org",
  "group_type": "string",
  "view_mode": "string",
  "token": "string"
}